用于Windows 98的.NET 2.0应用程序的安装程序

如何为Windows 98创build.NET 2.0应用程序的自动安装程序?

我的意思是应用程序,也为.NET 2.0,如果失踪。

我试图通过创build一个Visual Studio 2008的安装项目,但我没有成功。 我手动安装IE6 SP1,但安装程序仍崩溃。 Windows Installer 2.0已安装。 在那里安装Installer 3.0是不可能的。 我在安装程序项目先决条件取消选中安装程序,但仍不能安装应用程序 – 错误消息说,它需要更新版本的Windows。

这怎么解决?

Solutions Collecting From Web of "用于Windows 98的.NET 2.0应用程序的安装程序"

如果您打算部署到Windows 9x或ME,请不要使用Visual Studio 2008。 VS2008不再支持这些操作系统,如果你坚持使用它,你应该使用VS2005或更早的版本。 另请参阅此问题: Visual Studio 2008是否支持Windows 98?

根据这里的 MS,Windows Installer 3.0+不适用于Windows 98。

在Windows 98上手动运行安装程序3.1安装程序失败,并显示消息

缺少NtOpenProcessToken函数的入口点

您需要先手动将计算机更新到Windows Installer 3.x。 那就该走了。